> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphractal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# heatmap

> Retrieve liquidation levels data for /liquidation_levels/heatmap. Returns relevant metrics and indicators.



## OpenAPI

````yaml /api-reference/openapi.json get /liquidation_levels/heatmap
openapi: 3.1.1
info:
  title: Alphractal API
  version: 0.3.0
  description: >-
    Alphractal API provides comprehensive cryptocurrency on-chain data including
    mining metrics, address analytics, block information, fee data, market
    indicators, supply metrics, exchange flows, and more.
servers:
  - url: https://api.alphractal.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /liquidation_levels/heatmap:
    get:
      tags:
        - Liquidation Levels
      summary: heatmap
      description: >-
        Retrieve liquidation levels data for /liquidation_levels/heatmap.
        Returns relevant metrics and indicators.
      parameters:
        - name: asset
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            Cryptocurrency asset identifier (e.g. btc, eth, ada). Use lowercase
            ticker symbol.
          example: btc
        - name: timeframe
          in: query
          schema:
            type:
              - string
              - 'null'
          description: 'Bucket timeframe: 1m, 5m, 15m, 30m, 1h, 4h, 6h, 12h, 1d.'
        - name: lookback
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            History window: 12h, 24h, 3d, 7d, 14d, 30d, 90d, 180d, 365d, 2y, 4y,
            6y. Defaults to the canonical window of the timeframe (e.g. 30m →
            30d).
        - name: scope
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            Aggregation scope: 'all' (default, aggregated across exchanges) or
            'exchange'.
        - name: exchange
          in: query
          schema:
            type:
              - string
              - 'null'
          description: Exchange id, required when scope=exchange (e.g. binance).
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LiquidationLevelsHeatmapResponse'
components:
  schemas:
    LiquidationLevelsHeatmapResponse:
      type: object
      properties:
        asset:
          type:
            - string
            - 'null'
        timeframe:
          type:
            - string
            - 'null'
        lookback:
          type:
            - string
            - 'null'
        scope:
          type:
            - string
            - 'null'
        exchange:
          type:
            - string
            - 'null'
        version:
          type:
            - string
            - 'null'
          format: date-time
        priceSource:
          type:
            - string
            - 'null'
        x:
          type:
            - array
            - 'null'
          items:
            type: string
            format: date-time
        'y':
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
        z:
          type:
            - array
            - 'null'
          items:
            type: array
            items:
              type: number
              format: float
        df:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/LiquidationLevelsCandle'
        topTraderLsr:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/LiquidationLevelsLsrPoint'
      additionalProperties: false
    LiquidationLevelsCandle:
      type: object
      properties:
        date:
          type: string
          format: date-time
        open:
          type: number
          format: double
        high:
          type: number
          format: double
        low:
          type: number
          format: double
        close:
          type: number
          format: double
      additionalProperties: false
    LiquidationLevelsLsrPoint:
      type: object
      properties:
        date:
          type: string
          format: date-time
        value:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key authentication. Include your API key in the X-Api-Key header for
        all requests.

````